import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { SinglePost } from '../models/post';

@Injectable({
  providedIn: 'root'
})
export class ApiChatService {
  constructor(private http: HttpClient) {
  }

  getPosts(boardName:string): Observable<SinglePost[]> {
    //console.log("Получаю посты и картинки");
    return this.http.get<SinglePost[]>('http://api.vdk2ch.ru:5000/List/?board=' + boardName);
    //return this.http.get<SinglePost[]>('http://localhost:7141/List/?board=' + boardName);
  }

  sendPostToApi(text: string, imgUrl: string) {
    //console.log("Отправляю пост...");
    var postToSend =
    {
      Timestamp: text,
      Id: 0,
      Text: text,
      ImgURL: imgUrl
    }
    //console.log(postToSend)
    return this.http.post('http://api.vdk2ch.ru:5000/PostTo', postToSend)
    //return this.http.post('http://localhost:7141/PostTo', postToSend)

  }
  sendpic(picToSend: File):Observable<any> {
    const PostPicture = new FormData();
    PostPicture.append('PostPicture', picToSend);
    //return this.http.post('http://localhost:7141/UploadPic', PostPicture)
    return this.http.post('http://api.vdk2ch.ru:5000/UploadPic', PostPicture)
  }

  }

